Bug 864537 - RFE: Need repo discovery from pulpv1
RFE: Need repo discovery from pulpv1
Status: CLOSED WONTFIX
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks: katello-v2-pulp
  Show dependency treegraph
 
Reported: 2012-10-09 10:29 EDT by Justin Sherrill
Modified: 2013-02-26 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 16:29:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-10-09 10:29:58 EDT
Description of problem:

Pulpv1 had repo discovery.  Pulpv2 does not.  Bryan and Todd indicated that they still wanted this feature in katello going forward, so pulpv2 needs to support it as well.
Comment 1 Jay Dobies 2012-11-14 11:21:29 EST
The implementation in v2 will be client-side. This has been aligned to the 2.1 release and development will likely begin in February.
Comment 2 Justin Sherrill 2012-11-14 15:18:04 EST
I don't know that katello would be able to use this if it was implemented client side, at least not very easily.

Any way we could have it implemented server side?
Comment 3 Justin Sherrill 2012-11-14 16:12:09 EST
talked with jay and it sounds like if katello wants this, we'll need to implement it ourselves.
Comment 4 Mike McCune 2013-02-26 15:31:32 EST
we implemented this in Katello's API/webui

no work for us required from pulp, feel free to close
Comment 5 Justin Sherrill 2013-02-26 16:29:00 EST
closing this, as pulp is not providing this functionality and katello has already implemented it.

Note You need to log in before you can comment on or make changes to this bug.